%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This returns the bivariate Sum of Squared Residuals %
% associated with a kinkpoint point k                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function Q_SUR=Q_SUR(k,fe_m,fe_f,va,w,flag)

N=length(va);

vanew=max(0,va-k);
vanew=[vanew;vanew];

male=[ones(N,1);zeros(N,1)];
y=[fe_m;fe_f];

X=[male,1-male,male.*vanew,(1-male).*vanew];

w=[w;w];
ystar=sqrt(w).*y;
Xstar=bsxfun(@times,sqrt(w),X);

b=Xstar\ystar;
r=y-X*b;

Q_SUR=sum((r.^2).*w); %SSR

if flag==1
    Q_SUR=b; %report other coefficients
end