*gridsearch;

options ls=120 nocenter nofmterr;
libname here '.';
libname store '/var/tmp/';


*gridsearch: inputs dual-connected male/female at firms with trimmed ava; 
*vars: id firmid year y female age educ female fe_m fe_f ava ;


title1 'workers in dual connected set with va at firm';

data one;
set store.for_gridsearch_males
    store.for_gridsearch_females;

if ava>1.7 and ava<4.5 then ava_trim=ava;
else ava_trim = .;


proc means;
where (ava_trim ne .);
class female;


*collapse to firm level;

proc summary nway data=one;
where (fe_m ne .  and fe_f ne .  and  ava_trim ne . );
class firmid;
var fe_f fe_m ava_trim ;
output out=firms
mean= ;


data one;
set firms;
n=_freq_;


proc means;
title1 'firm level collapse - ava trim nonmissing';


%macro test;
%do y=1 %to 50;

data one;
set one;

cut=1.7 + .05 * (&y. -1);
if ava_trim> cut then x=ava_trim-cut;
else x=0;

frac=ava_trim<cut;

proc corr;
var cut frac ava_trim x fe_m fe_f ;


proc syslin sur;
model fe_m=x;
model fe_f=x;
weight n;


%end;
%mend;

%test;





%macro test2;
%do y=1 %to 30;


data one;
set one;

cut=2.3 + .01 * (&y. -1);
if ava_trim> cut then x=ava_trim-cut;
else x=0;

frac=ava_trim<cut;

proc corr;
var cut frac ava_trim x fe_m fe_f ;


proc syslin sur;
model fe_m=x;
model fe_f=x;
weight n;


%end;
%mend;

%test2;

